#ca-watch{
    display: none !important;     
}
#follow-btn-main-container {
    margin-top: -50px;
    position: absolute;
    margin-left: calc(100% - 105px);
}

#follow-btn-container {
    display: none;
    position: absolute;
    top: 0px;
    right: 0px;
    background-color: white;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    width: 402px;
    border:1px solid gray;
}
#follow-btn-container > div{
    display:flex;
    flex-direction: column;
}
.follow-input-form{
    display: flex;
    align-items: baseline;
}
.follow-input-form > .input-label{
    margin-left: 10px;
}
.follow-input-form:last-child {
    margin-top: 10px;
}
#follow-button{
    border: 1px solid #D4D4D4;
    padding: 8px 10px 8px 10px;
    width: 103px;
    border-radius: 4px;
}
.input-label > label{
    font-weight: 600;
    font-size: 16px;
}

@media only screen and (min-width: 769px) and (max-width: 1024px) {
    /* Styles for tablet devices */
    #follow-btn-main-container {
        margin-left: calc(100% - 235px);
    }
}